# This is ran when you lose your power, and it removes you from the tracking system

## Template: Repace ID with origin id, NAMESPACE with namespace, NAME with the origin name
# execute if entity @s[tag=NAMESPACE.powers.NAME] run scoreboard players remove NAMESPACE:NAME osp.SuperpowerCount 1
# execute if entity @s[tag=NAMESPACE.powers.NAME] run tag @s remove NAMESPACE.powers.NAME

## Common
execute if entity @s[tag=osp.powers.good_ears] run scoreboard players remove osp:good_ears osp.SuperpowerCount 1
tag @s remove osp.powers.good_ears

execute if entity @s[tag=osp.powers.breathing_invisibility] run scoreboard players remove osp:breathing_invisibility osp.SuperpowerCount 1
tag @s remove osp.powers.breathing_invisibility

execute if entity @s[tag=osp.powers.strength] run scoreboard players remove osp:strength osp.SuperpowerCount 1
tag @s remove osp.powers.strength

execute if entity @s[tag=osp.powers.thinining] run scoreboard players remove osp:thinining osp.SuperpowerCount 1
tag @s remove osp.powers.thinining

execute if entity @s[tag=osp.powers.cat_eyes] run scoreboard players remove osp:cat_eyes osp.SuperpowerCount 1
tag @s remove osp.powers.cat_eyes

execute if entity @s[tag=osp.powers.power_throw] run scoreboard players remove osp:power_throw osp.SuperpowerCount 1
tag @s remove osp.powers.power_throw

execute if entity @s[tag=osp.powers.mineral_extraction] run scoreboard players remove osp:mineral_extraction osp.SuperpowerCount 1
tag @s remove osp.powers.mineral_extraction

execute if entity @s[tag=osp.powers.jello_air] run scoreboard players remove osp:jello_air osp.SuperpowerCount 1
tag @s remove osp.powers.jello_air

execute if entity @s[tag=osp.powers.rabbit] run scoreboard players remove osp:rabbit osp.SuperpowerCount 1
tag @s remove osp.powers.rabbit

execute if entity @s[tag=osp.powers.speedy] run scoreboard players remove osp:speedy osp.SuperpowerCount 1
tag @s remove osp.powers.speedy

execute if entity @s[tag=osp.powers.damaging_strikes] run scoreboard players remove osp:damaging_strikes osp.SuperpowerCount 1
tag @s remove osp.powers.damaging_strikes

execute if entity @s[tag=osp.powers.green_skin] run scoreboard players remove osp:green_skin osp.SuperpowerCount 1
tag @s remove osp.powers.green_skin

execute if entity @s[tag=osp.powers.hot_hands] run scoreboard players remove osp:hot_hands osp.SuperpowerCount 1
tag @s remove osp.powers.hot_hands

## Uncommon
execute if entity @s[tag=osp.powers.fatty] run scoreboard players remove osp:fatty osp.SuperpowerCount 1
tag @s remove osp.powers.fatty

execute if entity @s[tag=osp.powers.flame_control] run scoreboard players remove osp:flame_control osp.SuperpowerCount 1
tag @s remove osp.powers.flame_control

execute if entity @s[tag=osp.powers.frost_breath] run scoreboard players remove osp:frost_breath osp.SuperpowerCount 1
tag @s remove osp.powers.frost_breath

execute if entity @s[tag=osp.powers.gills] run scoreboard players remove osp:gills osp.SuperpowerCount 1
tag @s remove osp.powers.gills

execute if entity @s[tag=osp.powers.slow_fall] run scoreboard players remove osp:slow_fall osp.SuperpowerCount 1
tag @s remove osp.powers.slow_fall

execute if entity @s[tag=osp.powers.long_arms] run scoreboard players remove osp:long_arms osp.SuperpowerCount 1
tag @s remove osp.powers.long_arms

execute if entity @s[tag=osp.powers.double_jump] run scoreboard players remove osp:double_jump osp.SuperpowerCount 1
tag @s remove osp.powers.double_jump

execute if entity @s[tag=osp.powers.burrow] run scoreboard players remove osp:burrow osp.SuperpowerCount 1
tag @s remove osp.powers.burrow

execute if entity @s[tag=osp.powers.problemetic_phasing] run scoreboard players remove osp:problemetic_phasing osp.SuperpowerCount 1
tag @s remove osp.powers.problemetic_phasing

execute if entity @s[tag=osp.powers.frictionless_motion] run scoreboard players remove osp:frictionless_motion osp.SuperpowerCount 1
tag @s remove osp.powers.frictionless_motion

execute if entity @s[tag=osp.powers.winged] run scoreboard players remove osp:winged osp.SuperpowerCount 1
tag @s remove osp.powers.winged

execute if entity @s[tag=osp.powers.flash_bang] run scoreboard players remove osp:flash_bang osp.SuperpowerCount 1
tag @s remove osp.powers.flash_bang

execute if entity @s[tag=osp.powers.possession] run scoreboard players remove osp:possession osp.SuperpowerCount 1
tag @s remove osp.powers.possession

## rare
execute if entity @s[tag=osp.powers.spectate] run scoreboard players remove osp:spectate osp.SuperpowerCount 1
tag @s remove osp.powers.spectate

execute if entity @s[tag=osp.powers.noclip] run scoreboard players remove osp:noclip osp.SuperpowerCount 1
tag @s remove osp.powers.noclip

execute if entity @s[tag=osp.powers.red_eyes] run scoreboard players remove osp:red_eyes osp.SuperpowerCount 1
tag @s remove osp.powers.red_eyes

execute if entity @s[tag=osp.powers.fire_manipulation] run scoreboard players remove osp:fire_manipulation osp.SuperpowerCount 1
tag @s remove osp.powers.fire_manipulation

execute if entity @s[tag=osp.powers.water_manipulation] run scoreboard players remove osp:water_manipulation osp.SuperpowerCount 1
tag @s remove osp.powers.water_manipulation

execute if entity @s[tag=osp.powers.illusionary_summons] run function osp:powers/illusionary_summons/kill
execute if entity @s[tag=osp.powers.illusionary_summons] run team leave @s
execute if entity @s[tag=osp.powers.illusionary_summons] run scoreboard players remove osp:illusionary_summons osp.SuperpowerCount 1
tag @s remove osp.powers.illusionary_summons

execute if entity @s[tag=osp.powers.honey_air] run scoreboard players remove osp:honey_air osp.SuperpowerCount 1
tag @s remove osp.powers.honey_air

execute if entity @s[tag=osp.powers.dice_stats] run scoreboard players remove osp:dice_stats osp.SuperpowerCount 1
tag @s remove osp.powers.dice_stats

execute if entity @s[tag=osp.powers.beastly_seal] run scoreboard players remove osp:beastly_seal osp.SuperpowerCount 1
tag @s remove osp.powers.beastly_seal

execute if entity @s[tag=osp.powers.lazer_eyes] run scoreboard players remove osp:lazer_eyes osp.SuperpowerCount 1
tag @s remove osp.powers.lazer_eyes

execute if entity @s[tag=osp.powers.quick_builder] run scoreboard players remove osp:quick_builder osp.SuperpowerCount 1
tag @s remove osp.powers.quick_builder

execute if entity @s[tag=osp.powers.self_explosion] run scoreboard players remove osp:self_explosion osp.SuperpowerCount 1
tag @s remove osp.powers.self_explosion

execute if entity @s[tag=osp.powers.chain_lightning] run scoreboard players remove osp:chain_lightning osp.SuperpowerCount 1
tag @s remove osp.powers.chain_lightning

## epic
execute if entity @s[tag=osp.powers.space_control] run scoreboard players remove osp:space_control osp.SuperpowerCount 1
tag @s remove osp.powers.space_control

execute if entity @s[tag=osp.powers.gold_touch] run scoreboard players remove osp:gold_touch osp.SuperpowerCount 1
tag @s remove osp.powers.gold_touch

execute if entity @s[tag=osp.powers.red_feild] run scoreboard players remove osp:red_feild osp.SuperpowerCount 1
tag @s remove osp.powers.red_feild

execute if entity @s[tag=osp.powers.regeneration] run scoreboard players remove osp:regeneration osp.SuperpowerCount 1
tag @s remove osp.powers.regeneration

execute if entity @s[tag=osp.powers.rewind] run function osp:powers/rewind/reset
execute if entity @s[tag=osp.powers.rewind] run scoreboard players remove osp:rewind osp.SuperpowerCount 1
tag @s remove osp.powers.rewind

execute if entity @s[tag=osp.powers.orignal_werewolf,predicate=osp:night] if score P osp.MoonPhase matches 0 run power grant @s osp:other/orignal_werewolf/bitten osp:orignal_werewolf
execute if entity @s[tag=osp.powers.orignal_werewolf] run function osp:powers/orignal_werewolf/off
execute if entity @s[tag=osp.powers.orignal_werewolf] run scoreboard players remove osp:orignal_werewolf osp.SuperpowerCount 1
tag @s remove osp.powers.orignal_werewolf

execute if entity @s[tag=osp.powers.cosmic_horror] run scoreboard players remove osp:cosmic_horror osp.SuperpowerCount 1
tag @s remove osp.powers.cosmic_horror

execute if entity @s[tag=osp.powers.ghost] run scoreboard players remove osp:ghost osp.SuperpowerCount 1
tag @s remove osp.powers.ghost

execute if entity @s[tag=osp.powers.magmatic_body] run scoreboard players remove osp:magmatic_body osp.SuperpowerCount 1
tag @s remove osp.powers.magmatic_body

execute if entity @s[tag=osp.powers.size_shifter] run scoreboard players remove osp:size_shifter osp.SuperpowerCount 1
tag @s remove osp.powers.size_shifter

execute if entity @s[tag=osp.powers.clairvoyance] run scoreboard players remove osp:clairvoyance osp.SuperpowerCount 1
tag @s remove osp.powers.clairvoyance

execute if entity @s[tag=osp.powers.decay] run scoreboard players remove osp:decay osp.SuperpowerCount 1
tag @s remove osp.powers.decay

execute if entity @s[tag=osp.powers.supersonic_flight] run scoreboard players remove osp:supersonic_flight osp.SuperpowerCount 1
tag @s remove osp.powers.supersonic_flight

## eldritch
execute if entity @s[tag=osp.powers.curse_crafter] run scoreboard players remove osp:curse_crafter osp.SuperpowerCount 1
tag @s remove osp.powers.curse_crafter

execute if entity @s[tag=osp.powers.nature_control] run tag @s remove osp.nature_control.secondary
execute if entity @s[tag=osp.powers.nature_control] run scoreboard players remove osp:nature_control osp.SuperpowerCount 1
tag @s remove osp.powers.nature_control

execute if entity @s[tag=osp.powers.sculk_king] run function osp:powers/sculk_king/end
execute if entity @s[tag=osp.powers.sculk_king] run scoreboard players remove osp:sculk_king osp.SuperpowerCount 1
tag @s remove osp.powers.sculk_king

execute if entity @s[tag=osp.powers.energy-infusion] run advancement revoke @s from osp:energy-infusion/main
execute if entity @s[tag=osp.powers.energy-infusion] run scoreboard players remove osp:energy-infusion osp.SuperpowerCount 1
tag @s remove osp.powers.energy-infusion

execute if entity @s[tag=osp.powers.powersmith,tag=!power_apple] run scoreboard players remove osp:powersmith osp.SuperpowerCount 1
tag @s[tag=!power_apple] remove osp.powers.powersmith

execute if entity @s[tag=osp.powers.shadowy_physique] run scoreboard players remove osp:shadowy_physique osp.SuperpowerCount 1
tag @s remove osp.powers.shadowy_physique

execute if entity @s[tag=osp.powers.telekinesis] run tag @s remove osp.telekinesis.pulled
execute if entity @s[tag=osp.powers.telekinesis] run scoreboard players remove osp:telekinesis osp.SuperpowerCount 1
tag @s remove osp.powers.telekinesis

# function run test
execute if score #TestStart function_run_count matches 0.. run scoreboard players add osp:systems/lose_superpower function_run_count 1
