# runs when the world loads
scoreboard objectives add osp.playerID dummy
scoreboard objectives add osp.settings dummy

scoreboard objectives add osp.RarityCount dummy
scoreboard objectives add osp.SuperpowerCount dummy
scoreboard objectives add osp.SuperpowerEncoding dummy

# Honey Air
scoreboard objectives add osp.HoneyAirTimer dummy

# Jello Air
scoreboard objectives add osp.JelloAirTimer dummy

# Sealed Beast
scoreboard objectives add osp.BeastID dummy

# Dice Stats
scoreboard objectives add osp.dice_stats.Attack dummy
scoreboard objectives add osp.dice_stats.Taken dummy
scoreboard objectives add osp.dice_stats.Speed dummy

# Curse Crafter
scoreboard objectives add osp.PotionID dummy

# Water Manipulation, Fire Manipulation, Magmatic Body
scoreboard objectives add osp.FlameID dummy
scoreboard objectives add osp.FlameTimer dummy

# Spectate & Possesion
scoreboard objectives add osp.SpectateID dummy

# Illusinary Summons
scoreboard objectives add osp.IllusionID dummy

# Cosmic Horror
scoreboard objectives add osp.Insanity dummy
scoreboard objectives add osp.Jumpscare dummy

# Original Werewolf
scoreboard objectives add osp.MoonPhase dummy
scoreboard objectives add osp.WerewolfColor dummy
scoreboard objectives add osp.WerewolfID dummy
scoreboard objectives add WerewolfColor trigger

# General
scoreboard objectives add osp.Xkeymove dummy
scoreboard objectives add osp.Ykeymove dummy
scoreboard objectives add osp.Zkeymove dummy
scoreboard objectives add osp.Frozen dummy
scoreboard objectives add osp.blind dummy
scoreboard objectives add osp.FlashBang dummy
scoreboard objectives add osp.powerdisabled dummy
scoreboard objectives add osp.GivePower dummy
scoreboard objectives add osp.ShadowEffectTimer dummy
scoreboard objectives add osp.ShadowBugCount dummy
scoreboard objectives add osp.TelekinesisDistance dummy
scoreboard objectives add osp.PointCount dummy
scoreboard objectives add osp.OfflineTimer dummy
scoreboard objectives add osp.OfflinePowerStore dummy
scoreboard objectives add osp.celestial_communion.timer dummy
scoreboard objectives add osp.celestial_communion.x dummy
scoreboard objectives add osp.celestial_communion.y dummy
scoreboard objectives add osp.celestial_communion.z dummy

scoreboard objectives add osp.PowerInit dummy
scoreboard players add G osp.PowerInit 1

# Energy Infusion
scoreboard objectives add add_charge trigger

scoreboard objectives add osp.Timer dummy
scoreboard objectives add osp.sculkID dummy

scoreboard objectives add Clairvoyance trigger
scoreboard objectives add SetWeather trigger
scoreboard objectives add ListBiomeItems trigger
scoreboard objectives add InfectionInfo trigger
scoreboard objectives add Introduction trigger
scoreboard objectives add MakeAllie trigger
scoreboard objectives add Punish trigger
scoreboard objectives add Respond trigger
scoreboard objectives add powerID trigger
scoreboard objectives add GivePower trigger

# Telekinesis
scoreboard objectives add osp.Position dummy

team add osp.illusionary
team modify osp.illusionary collisionRule never
team modify osp.illusionary friendlyFire false
team modify osp.illusionary seeFriendlyInvisibles true

team add osp.sculk
team modify osp.sculk collisionRule never
team modify osp.sculk friendlyFire false
team modify osp.sculk seeFriendlyInvisibles false

team add osp.werewolf
team modify osp.werewolf collisionRule never
team modify osp.werewolf friendlyFire true
team modify osp.werewolf seeFriendlyInvisibles false
function osp:powers/rewind/reset


## Op Menu Settings
# Limts:
# Limits define how many of each rarity of superpower are allowed. 
# If the number of players of a rarity of superpowers is above or equal to this limit, 
# it will be imposible to get a superpower of the rarity.
execute unless score EldritchLimit osp.settings matches 0..2147483647 run scoreboard players set EldritchLimit osp.settings 4
execute unless score EpicLimit osp.settings matches 0..2147483647 run scoreboard players set EpicLimit osp.settings 2147483647
execute unless score RareLimit osp.settings matches 0..2147483647 run scoreboard players set RareLimit osp.settings 2147483647
execute unless score UncommonLimit osp.settings matches 0..2147483647 run scoreboard players set UncommonLimit osp.settings 2147483647
execute unless score CommonLimit osp.settings matches 0..2147483647 run scoreboard players set CommonLimit osp.settings 2147483647

execute unless score Eldritch osp.RarityCount matches 0..2147483647 run scoreboard players set Eldritch osp.RarityCount 0
execute unless score Epic osp.RarityCount matches 0..2147483647 run scoreboard players set Epic osp.RarityCount 0
execute unless score Rare osp.RarityCount matches 0..2147483647 run scoreboard players set Rare osp.RarityCount 0
execute unless score Uncommon osp.RarityCount matches 0..2147483647 run scoreboard players set Uncommon osp.RarityCount 0
execute unless score Common osp.RarityCount matches 0..2147483647 run scoreboard players set Common osp.RarityCount 0

## Get power when join
# Do you get a power when you join, 1 = true, 0 = false
execute unless score PowerWhenJoin osp.settings matches 0..1 run scoreboard players set PowerWhenJoin osp.settings 1

## Craftable Power Crystals with Egg
# Can you craft power crystals, and charged dragons breath via the dragon egg. 1 = true, 0 = false
execute unless score CraftablePowerCrystals osp.settings matches 0..1 run scoreboard players set CraftablePowerCrystals osp.settings 1

## Craftable Power Crystals with Egg
# Can you craft power crystals, and charged dragons breath via the dragon egg. 1 = true, 0 = false
execute unless score CraftablePowerCrystalsWithoutEgg osp.settings matches 0..1 run scoreboard players set CraftablePowerCrystalsWithoutEgg osp.settings 1

## Craftable Elder Power Crystals
# Can you craft elder power crystals from normal crystals. 1 = true, 0 = false
execute unless score CraftableElderPowerCrystals osp.settings matches 0..1 run scoreboard players set CraftableElderPowerCrystals osp.settings 1

## Craftable Anti Power Crystals
# Can you craft Anti power crystals from elder crystals. 1 = true, 0 = false
execute unless score CraftableAntiPowerCrystals osp.settings matches 0..1 run scoreboard players set CraftableAntiPowerCrystals osp.settings 1

## AntiPower Beacons
# Do they work. 1 = true, 0 = false
execute unless score AntiPowerBeacons osp.settings matches 0..1 run scoreboard players set AntiPowerBeacons osp.settings 1

scoreboard players set Temp num 0
function #osp:default_settings

scoreboard players set Temp num 0
function #osp:encoder_init
scoreboard players remove Temp num 1
scoreboard players operation MAX osp.SuperpowerEncoding = Temp num

# Curse Crafter:
# The settings specific for the curse crafter superpower.

# Curse of Health Loss Effect:
# 0 = Ban
# 1+ = Leave in Void before reset
execute unless score CurseOfHealthLoss osp.settings matches 0..2147483647 run scoreboard players set CurseOfHealthLoss osp.settings 12096000

# function run test
execute if score #TestStart function_run_count matches 0.. run scoreboard players add osp:load function_run_count 1
